Bug 1208412 - python test fails on big endian arches
Summary: python test fails on big endian arches
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libixion
Version: 22
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Tardon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2015-04-02 08:15 UTC by Dan Horák
Modified: 2015-04-21 19:33 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-04-21 19:33:45 UTC


Attachments (Terms of Use)

Description Dan Horák 2015-04-02 08:15:06 UTC
The python test is crashing in big endian arches (ppc64, s390x)

make[2]: Entering directory '/builddir/build/BUILD/libixion-0.9.0/src/python'
make  check-TESTS
make[3]: Entering directory '/builddir/build/BUILD/libixion-0.9.0/src/python'
make[4]: Entering directory '/builddir/build/BUILD/libixion-0.9.0/src/python'
../../test-driver: line 107: 14695 Aborted                 "$@" > $log_file 2>&1
FAIL: ../../test/ixion-python-test.py
============================================================================
Testsuite summary for libixion 0.9.0
============================================================================
# TOTAL: 1
# PASS:  0
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See src/python/test-suite.log
============================================================================
Makefile:782: recipe for target 'test-suite.log' failed


ixion-python-test.py.log contains:

..terminate called after throwing an instance of 'std::out_of_range'
  what():  vector::_M_range_check: __n (which is 18446744073709551615) >= this->size() (which is 1024)


Version-Release number of selected component (if applicable):
libixion-0.9.0-1.fc22

Comment 1 David Tardon 2015-04-02 08:30:19 UTC
I forgot to submit an update for libixion-0.9.0-2.fc22, where this is fixed.

Comment 2 Fedora Update System 2015-04-02 12:33:01 UTC
libixion-0.9.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libixion-0.9.0-2.fc22

Comment 3 Dan Horák 2015-04-02 12:53:44 UTC
yes, it is fixed - http://s390.koji.fedoraproject.org/koji/buildinfo?buildID=309904

Comment 4 Fedora Update System 2015-04-02 19:00:39 UTC
Package libixion-0.9.0-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libixion-0.9.0-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5434/libixion-0.9.0-2.fc22
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-04-05 16:37:25 UTC
libixion-0.9.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libixion-0.9.1-1.fc22

Comment 6 Fedora Update System 2015-04-21 19:33:45 UTC
libixion-0.9.1-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.